/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

$(window).resize(function(){
	ls_width = $(window).width();
	ls_height = $(window).height();
});

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}
//定义用户当前全局参数
queryData.FIELD_tableName='dm_common_blood';

//定义附件关联模块ID(1:一般业务,2:测试信息,3:审批业务,999:其它数据 )
var ls_module_id='999';
//定义当前模块业务类型(YBYW:一般业务,SPGL:审批业务) 
var ls_ywlx = 'YBYW';
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/

//var v_standardquery = {};
//var v_standard_tree = standardModel.dataAction.listAllTables(v_reportquery);
/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
var ls_title="标准库";
var is_column = [ [
				{field : 'CODE_ID',title : '编码',width : 80,align : 'center'},
				{field : 'CODE_NAME',title : '名称',width : 500,align : 'left'}
				] ];
//列表加载完成回调
function dataOnLoadSuccess(){
}
//设置颜色和每行高度
function rowstyler(index,row){
	return 'height:30px;';
}
//展示列表
datagrid("list",ls_title,gaowj.WEB_APP_NAME + "/standard/data_list",queryData,is_column,60,80);
/****/

/**
 * 序号：4
 * 功能：设置操作列浮动菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}

//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"editRow('"
		+ index + "')\">编辑</a>  |  <span class=\"icon-clear\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"deleteRow('"
		+ index + "')\">删除</a>";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 2;
	return is_menu_count;
}

/****/

/**
 * 序号：5
 * 功能：新增弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载增加子页面
function addRow(){
	var is_row={OPETYPE:'insert'};
	openEditRow("standard/view_listStandardTabDetail",is_row,"新增",true,0.65,0.65,260,0);
}
//加载增加子页面成功后的回调
function addUrlOnloadCallback(is_row){
}
//保存
function insertData(is_entity){
	is_entity.FIELD_tableName = queryData.FIELD_tableName;
	var v_result = standardModel.actAction.insertTable(is_entity);
	$('#list').datagrid('reload');
	return v_result;
}
/****/

/**
 * 序号：6
 * 功能：修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载修改子页面
function editRow(index){
	$('#list').datagrid('selectRow',index);
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
	openEditRow("standard/view_listStandardTabDetail",is_row[0],"编辑",true,0.65,0.65,160,0);	
}
//加载修改子页面成功后的回调
function updateUrlOnloadCallback(is_row){
	$('#CODE_ID').textbox('disable',true);
}
//保存
function updateData(is_entity){
	is_entity.FIELD_tableName = queryData.FIELD_tableName;
	v_result = standardModel.actAction.updateTable(is_entity);
	$('#list').datagrid('reload');
	return v_result;
}
/****/

/**
 * 序号：7
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteRow(index){
	$('#list').datagrid('selectRow',index);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');

	var code = is_row[0].CODE_ID;
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_CODE = code;
		    v_query.FIELD_tableName = queryData.FIELD_tableName;
		    var v_result = standardModel.actAction.deleteTable(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：8
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteBatchRow(){
	var code="";
	var is_row = $('#list').datagrid('getSelections');
	for(var i=0; i<is_row.length; i++){
		code = code + is_row[i].CODE_ID+",";
	}
	if(is_row == null || is_row == ""){
		$.messager.alert('提示',"请选择需删除的行!",'info');
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_CODE = code;
		    v_query.FIELD_tableName = queryData.FIELD_tableName;
		    var v_result = standardModel.actAction.deleteTable(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：9
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	$('#list').datagrid('load',queryData);
	$("#listStandardtab_searchForm")[0].reset();
}
/****/

/**
 * 序号：10
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#listStandardtab_searchForm").getFormVal();
	v_query.FIELD_tableName = queryData.FIELD_tableName;
	$('#list').datagrid('load',v_query);
}
/****/

/**
 * 序号：11
 * 功能：加载报表树列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//setInitTree(节点显示字段,节点显示主题,节点字段UUID,父节点字段)
var setting = setInitTree("CODE_NAME","CODE_NAME","UUID","FATHER_ID");
//加载树时的默认点击
function defautClick(){
	queryData.FIELD_tableName ="dm_common_blood";
	$('#list').datagrid('load',queryData);
}
//点击左边节点，datagrid过滤
function modifyNode(treeNode){
	if(treeNode.children==undefined || treeNode.children==null){
		queryData.FIELD_tableName =treeNode.CODE_ID;
		$('#list').datagrid('load',queryData);
	}
	
}
//loadTree(后台数据路径,显示的层ID)
loadTree("standard/data_listAllTables","listStandard_tree","UUID","0");

function reloadTree(){
	loadTree("standard/data_listAllTables","listStandard_tree","UUID","0");
}
/****/

/**
 * 序号：12
 * 功能：更新缓存
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function updateCacheRow(){
	var v_query = {};
    v_query.FIELD_CODE = queryData.FIELD_tableName;
    var v_result = standardModel.actAction.updateCacheTable(v_query);
	$.messager.alert('提示',v_result.VALUE);
	$('#list').datagrid('reload');
}
